Zum Inhalt springen
scango.ch
Deutsch
Esc
navigierenöffnen⌘JVorschau

Lieferant anlegen

Lieferant anlegen. Erfordert einen Write-Key.

POST/suppliers
Autorisierung
AutorisierungBearer-Token (API key) · headererforderlich
Organisations-API-Key.
Request-Body
erforderlichapplication/json
namestringerforderlich
externalIdstring
Optional external identifier
companystring
citystring
streetstring
plzstring
emailstring
payoutEmailstring
orderEmailstring
phonestring
contactPersonstring
contactPhonestring
dailyMailstring
supplierMarginnumber
ibanstring
bicstring
bankNamestring
payoutsEnabledboolean
Antworten
200Lieferant angelegt
successbooleanerforderlich
idstringerforderlich
400Ungültige Anfrage
statusCodeintegererforderlich
HTTP-Statuscode
messagestringerforderlich
Lesbare Fehlermeldung
timestampstring<date-time>erforderlich
pathstringerforderlich
Request-Pfad
403Nicht autorisiert
statusCodeintegererforderlich
HTTP-Statuscode
messagestringerforderlich
Lesbare Fehlermeldung
timestampstring<date-time>erforderlich
pathstringerforderlich
Request-Pfad
Anfrage
curl -X POST "https://dashboard.scango.ch/api/v1/suppliers" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "externalId": "string",
  "company": "string",
  "city": "string",
  "street": "string",
  "plz": "string",
  "email": "string",
  "payoutEmail": "string",
  "orderEmail": "string",
  "phone": "string",
  "contactPerson": "string",
  "contactPhone": "string",
  "dailyMail": "string",
  "supplierMargin": 0,
  "iban": "string",
  "bic": "string",
  "bankName": "string",
  "payoutsEnabled": true
}'
Antwort
{
  "success": true,
  "id": "string"
}